Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr.java
[Java] Class Java2GroovyMain

    java.lang.Object
      org.codehaus.groovy.antlr.java.Java2GroovyMain

    public class Java2GroovyMain
    extends java.lang.Object

Method Summary
`static java.lang.String` | `convert(java.lang.String filename, java.lang.String input)`
`static java.lang.String` | `convert(java.lang.String filename, java.lang.String input, boolean withHeader, boolean withNewLines)`
`static void` | `main(java.lang.String[] args)`
`static java.lang.String` | `mindmap(java.lang.String input)`
`static java.lang.String` | `nodePrinter(java.lang.String input)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### convert

    public static java.lang.String convert(java.lang.String filename, java.lang.String input)

### convert

    public static java.lang.String convert(java.lang.String filename, java.lang.String input, boolean withHeader, boolean withNewLines)

### main

    public static void main(java.lang.String[] args)

### mindmap

    public static java.lang.String mindmap(java.lang.String input)

### nodePrinter

    public static java.lang.String nodePrinter(java.lang.String input)

Groovy Documentation